﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace QuizSome
{
    /// <summary>
    /// All possible game states.
    /// </summary>
    /// <remarks>
    /// login = login window
    /// gaming = while game is running
    /// finished = after game has ended
    /// loggedOut = after logout button is pressed
    /// wrongLogin = if login was false
    /// diceIsRolling = while the game decides who should start
    /// quit = after quit button is pressed
    /// beforeDicing = before dice is thrown
    /// </remarks>
    public enum GameState
    {
        login,
        gaming,
        finished,
        loggedOut,
        wrongLogin,
        diceIsRolling,
        quit,
        beforeDicing
    }
}
